Database Accounts - Get Gremlin Graph Throughput

Gets the Gremlin graph throughput under an existing Azure Cosmos DB database account with the provided name.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/apis/gremlin/databases/{databaseName}/graphs/{graphName}/settings/throughput?api-version=2016-03-31

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB database account name.

databaseName
path True

string

Cosmos DB database name.

graphName
path True

string

Cosmos DB graph name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

Name of an Azure resource group.

subscriptionId
path True

string

Azure subscription ID.

api-version
query True

string

Version of the API to be used with the client request. The current version is 2015-04-08.

Responses

Name Type Description
200 OK

Throughput

The RUs per second of the Gremlin graph was retrieved successfully.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Impersonate your user account

Examples

CosmosDBGremlinGraphThroughputGet

Sample request

GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/apis/gremlin/databases/databaseName/graphs/graphName/settings/throughput?api-version=2016-03-31

Sample response

{
  "properties": {
    "throughput": 400
  }
}

Definitions

Throughput

An Azure Cosmos DB resource throughput.

Name Type Description
id

string

The unique resource identifier of the database account.

location

string

The location of the resource group to which the resource belongs.

name

string

The name of the database account.

properties.throughput

integer

Value of the Cosmos DB resource throughput

tags

object

Tags are a list of key-value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters. For example, the default experience for a template type is set with "defaultExperience": "Cassandra". Current "defaultExperience" values also include "Table", "Graph", "DocumentDB", and "MongoDB".

type

string

The type of Azure resource.